> ## Documentation Index
> Fetch the complete documentation index at: https://jupiter-feat-ai-trading-mcp.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Transaction

> Submit a signed transaction through Jupiter's landing infrastructure



## OpenAPI

````yaml openapi-spec/transaction/transaction.yaml post /submit
openapi: 3.0.0
info:
  title: Jupiter Transaction API
  version: '1.0'
servers:
  - url: https://api.jup.ag/tx/v1
security:
  - ApiKeyAuth: []
paths:
  /submit:
    post:
      tags:
        - Submit
      summary: Submit a transaction
      description: >
        Submits a signed transaction through Jupiter's transaction landing
        infrastructure. Accepts any valid signed Solana transaction.


        **Validation:**

        - Transaction must be a valid signed Solana transaction

        - All signatures must be valid

        - Transaction must contain a SOL transfer of >= 1,000,000 lamports
        (0.001 SOL) to one of the 16 tip receiver accounts

        - Transaction must not exceed max transaction size


        **Tip receiver accounts (16 Jupiter V6 program authorities):**


        `GGztQqQ6pCPaJQnNpXBgELr5cs3WwDakRbh1iEMzjgSJ`,
        `2MFoS3MPtvyQ4Wh4M9pdfPjz6UhVoNbFbGJAskCPCj3h`,
        `BQ72nSv9f3PRyRKCBnHLVrerrv37CYTHm5h3s9VSGQDV`,
        `6U91aKa8pmMxkJwBCfPTmUEfZi6dHe7DcFq2ALvB2tbB`,
        `4xDsmeTWPNjgSVSS1VTfzFq3iHZhp77ffPkAmkZkdu71`,
        `CapuXNQoDviLvU1PxFiizLgPNQCxrsag1uMeyk6zLVps`,
        `9nnLbotNTcUhvbrsA6Mdkx45Sm82G35zo28AqUvjExn8`,
        `6LXutJvKUw8Q5ue2gCgKHQdAN4suWW8awzFVC6XCguFx`,
        `HFqp6ErWHY6Uzhj8rFyjYuDya2mXUpYEk8VW75K9PSiY`,
        `DSN3j1ykL3obAVNv7ZX49VsFCPe4LqzxHnmtLiPwY6xg`,
        `69yhtoJR4JYPPABZcSNkzuqbaFbwHsCkja1sP1Q2aVT5`,
        `HU23r7UoZbqTUuh3vA7emAGztFtqwTeVips789vqxxBw`,
        `3LoAYHuSd7Gh8d7RTFnhvYtiTiefdZ5ByamU42vkzd76`,
        `3CgvbiM3op4vjrrjH2zcrQUwsqh5veNVRjFCB9N6sRoD`,
        `GP8StUXNYSZjPikyRsvkTbvRV1GBxMErb59cpeCJnDf1`,
        `7iWnBRRhBCiNXXPhqiGzvvBkKrvFSWqqmxRyu9VyYBxE`


        Randomise which account you send to across transactions to reduce
        write-lock contention.
      operationId: postSubmit
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                signedTransaction:
                  type: string
                  description: Base64-encoded signed transaction
              required:
                - signedTransaction
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  signature:
                    type: string
                    description: Transaction signature
                required:
                  - signature
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: >-
                      Error message detailing why the transaction was rejected
                      (e.g. missing or insufficient tip, invalid signatures,
                      oversized transaction)
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Get API key via https://developers.jup.ag/portal

````